about summary refs log tree commit diff
diff options
context:
space:
mode:
authorBaitinq <manuelpalenzuelamerino@gmail.com>2024-06-07 23:27:51 +0200
committerBaitinq <manuelpalenzuelamerino@gmail.com>2024-06-07 23:27:51 +0200
commitba7ff321ea44a94f368c3efb83025fe634830ce1 (patch)
tree9a1bf1615891a47444253181de75c7cd546d68d3
parentSupabase: Migrations: Update migrations to add table to public schema and add... (diff)
downloadfs-tracer-backend-ba7ff321ea44a94f368c3efb83025fe634830ce1.tar.gz
fs-tracer-backend-ba7ff321ea44a94f368c3efb83025fe634830ce1.tar.bz2
fs-tracer-backend-ba7ff321ea44a94f368c3efb83025fe634830ce1.zip
Misc: Check for api key in request script
-rwxr-xr-xrequests_examples.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/requests_examples.sh b/requests_examples.sh
index ada2497..585707f 100755
--- a/requests_examples.sh
+++ b/requests_examples.sh
@@ -1,5 +1,10 @@
 #!/bin/sh
 
+if [ -z "${FS_TRACER_API_KEY}" ]; then
+	echo "FS_TRACER_API_KEY is not set"
+	exit 1
+fi
+
 curl -H "API_KEY: ${FS_TRACER_API_KEY}" -X POST -d '
 [{
 	"timestamp": "2020-01-02T15:04:05Z",